package com.ht.data;

public enum TagDataType {
	BOOL, INT, LONG, FLOAT, DOUBLE, STRING, BIN;

	/**
	 * 解析常量数据类型
	 * @param value
	 * @return
	 */
	public Object parseValue(String value) {

		switch (this) {
		case BOOL:// 布尔
			return Boolean.parseBoolean(value);
		case STRING:// 字符串
			return value;
		case INT:// 整数
			return Integer.parseInt(value);
		case LONG:// 长整数
			return Long.parseLong(value);
		case FLOAT:// 浮点数
			return Float.parseFloat(value);
		case DOUBLE:// 双浮点数
			return Double.parseDouble(value);
		case BIN:// 字节数组
			return value.getBytes();
		default:
			break;
		}
		
		return null;
	}
	
	
}
